Page MenuHomePhabricator

LDAP access to the wmf group for CherRaye Glenn (superset, turnilo, hue)
Closed, ResolvedPublic

Description

Please give me access to the 'wmf' LDAP group. I am a full-time WMF employee (Audience Insights Analyst in the Communications Department).
Wikitech Username: CGlenn

Thank you!

Event Timeline

CGlenn created this task.Feb 5 2020, 9:08 PM
Restricted Application added a project: Operations. · View Herald TranscriptFeb 5 2020, 9:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Varnent added a subscriber: Varnent.
jijiki added a subscriber: jijiki.Feb 7 2020, 10:34 AM

@CGlenn Hello! Please let us know which tools you are planning to use, thank you:)

jijiki triaged this task as Medium priority.Feb 7 2020, 10:34 AM
CGlenn added a comment.Feb 7 2020, 2:09 PM

Hi @jijiki ! I will be using Turnilo & Superset. :)

jijiki closed this task as Resolved.Feb 10 2020, 2:54 PM
jijiki claimed this task.

@CGlenn done:)

MoritzMuehlenhoff reopened this task as Open.Feb 11 2020, 8:12 AM

This needs an entry in data.yaml, reopening

will fix :)

@CGlenn it appears you are already in the ldap wmf group as 'keepit-ssh', which is the username (shell name) in wikitech as well. Can you check please if your access is in order?

@jijiki Hi! Yes, I can take a look at that.

Dzahn added a subscriber: Dzahn.Feb 11 2020, 10:04 PM

@CGlenn This has already been done as part of T236209.

Dzahn closed this task as Invalid.Feb 11 2020, 10:09 PM

This should already work https://phabricator.wikimedia.org/T236209#5597161 Please confirm the credentials are working on Wikitech wiki and you are using the exact same ones on superset. Let us know if any remaining issues.

Hi @Dzahn I was able to log into Superset! Do I use the same credentials for Turnilo as well?

Hi @Dzahn I was able to log into Superset! Do I use the same credentials for Turnilo as well?

Yes, both use the same LDAP account credentials.

CGlenn added a comment.EditedFeb 14 2020, 5:51 PM

Thank you! @Dzahn One more question, can I log into Hue using my credentials or do I need permission to be added to that?

@CGlenn You can but there is an extra step involved where @Ottomata or @elukey need to sync users (per https://wikitech.wikimedia.org/wiki/Analytics/Cluster/Hue#Access)

Dzahn reopened this task as Open.Feb 14 2020, 9:58 PM

@Ottomata or @elukey Please sync users for Hue access ^.

Dzahn renamed this task from LDAP access to the wmf group for CherRaye Glenn to LDAP access to the wmf group for CherRaye Glenn (superset, turnilo, hue).Feb 14 2020, 9:58 PM
Dzahn reassigned this task from jijiki to elukey.
Dzahn added a project: Analytics.
elukey closed this task as Resolved.Feb 18 2020, 7:42 AM